<?php

namespace Modules\AdministrativeUnits\Models;

use App\Core\BaseModel;

class ConstituencyModel extends BaseModel
{
    public function __construct()
    {
        parent::__construct();

        $this->table = "constituencies";
        $this->primaryKey = "constituency_id";
       
    }
    
    protected function initialize()
    {
        

        $this->validationRules    = [
            'constituency_name'     => 'required|alpha_numeric_space|min_length[3]',
            
        ];

        
        $this->allowedFields = ['constituency_name','county_id'];
    }

    
}